import Vue from 'vue'
import Payments from '@/Payments'
import VModal from 'vue-js-modal'
import store from '@/store'
// vue.use
Vue.use(VModal)
// Vue.config.
Vue.config.productionTip = false
Vue.config.silent = true
// Vue.config.devtools = true

openerp.eiru_payments = (instance, local) => {

	local.PaymentsWidget = instance.Widget.extend({
		start(){
			this.sidebarFold()

			this.vm = new Vue({
				store,
				el: this.el,
				template: '<Payments />',
				components:{
					Payments
				}
			});
		},
		destroy(){
			this.vm.$destroy()
			$(this.vm.$el).remove()
			this.vm = null

			this.sidebarUnfold()

			this._super.apply(this, arguments)
		},
		sidebarFold() {
            if (!instance.eiru_sidebar_toggler) return
            instance.eiru_sidebar_toggler.sidebar_fold()
        },
        sidebarUnfold() {
			if (!instance.eiru_sidebar_toggler) return
            instance.eiru_sidebar_toggler.sidebar_unfold()
        }
	})

	instance.web.client_actions.add('eiru_payments.action_launch', 'instance.eiru_payments.PaymentsWidget')
}
