import axios from 'axios'
import { INIT_PAYMENTS_URL } from '@/constants/resourcePaths'
import { PAYMENTS_NOTIFY, INIT_PAYMENTS, EXPLODE_DATA, INIT_PAYMENTS_DATE, INIT_PAYMENTS_USER, INIT_PAYMENTS_CUSTOMERS, INIT_PAYMENTS_JOURNALS, INIT_PAYMENTS_CURRENCIES } from '@/constants/actionTypes'
// import { INIT_PAYMENTS, NOTIFY, INIT_DATE, INIT_USER, INIT_CUSTOMERS, INIT_JOURNALS, INIT_CURRENCIES, EXPLODE_DATA} from '@/constants/actionTypes'

const actions = {
    /**
     * [PAYMENTS_NOTIFY]
     * @type {[type]}
     */
    [PAYMENTS_NOTIFY] ({ commit },payload) {
        openerp.web.notification.do_warn('Atencion', payload)
        return false
    },
    /**
     * [INIT_PAYMENTS]
     * @param {*} param0
     */
    [INIT_PAYMENTS] ({ dispatch }) {
        return axios.get(INIT_PAYMENTS_URL).then(response => {
            dispatch('explodeData', response.data)
        }).catch(error => {
            console.log(error);
        })
    },
    /**
     * [EXPLODE_DATA]
     * @param {*} param0
     * @param {*} payload
     */
    [EXPLODE_DATA] ({ dispatch }, payload) {
        for (let value in payload) {
            dispatch(`initPayments${value[0].toUpperCase()}${value.slice(1)}`,payload[value])
        }
    },

}

export default actions
