import { INIT_PAYMENTS_CUSTOMERS, SELECT_PAYMENTS_CUSTOMER } from '@/constants/actionTypes'
import { SET_CUSTOMERS, SET_LOADING_CUSTOMERS, SET_SELECTED_CUSTOMER } from '@/constants/mutationTypes'

const initialState = {
    customers: null,
    loadingCustomers: false,
    selectedCustomer: null
}

const state = {
    customers: initialState.customers,
    loadingCustomers: !initialState.loadingCustomers,
    selectedCustomer: initialState.selectedCustomer
}

const getters = {
    /**
     * [customers description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    customers(state) {
        return state.customers
    },
    /**
     * [loadingcustomers description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    loadingCustomers(state) {
        return state.loadingCustomers
    },
    /**
     * [selectedCustomer description]
     * @param  {[type]} state [description]
     * @return {[type]}       [description]
     */
    selectedCustomer(state) {
        return state.selectedCustomer
    }
}
const mutations = {
    /**
     * [actions description]
     * @param  {[type]} state [description]
     * @param  {[type]} payload [description]
     */
    [SET_CUSTOMERS] (state, payload) {
        state.customers = payload
    },
    /**
     * [loadingcustomers description]
     * @param  {[type]} state [description]
     * @param  {[type]} payload [description]
     */
    [SET_LOADING_CUSTOMERS] (state, payload) {
        state.loadingCustomers = !payload
    },
    /**
     * [selectedCustomer description]
     * @param  {[type]} state [description]
     * @param  {[type]} payload [description]
     */
    [SET_SELECTED_CUSTOMER] (state, payload) {
        state.selectedCustomer = payload
    }

}
const actions = {
    /**
     *
     * @param {*} param0
     * @param {*} payload
     */
    [INIT_PAYMENTS_CUSTOMERS] ({commit}, payload) {
        commit(SET_CUSTOMERS, payload)
        commit(SET_LOADING_CUSTOMERS, payload)
    },
    /**
     * @param {*} param0
     * @param {*} payload
     */
    [SELECT_PAYMENTS_CUSTOMER] ({ commit }, payload ) {
        commit(SET_SELECTED_CUSTOMER, payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
